# Created by pyp2rpm-3.3.3
%global pypi_name receptor-satellite

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        2%{?dist}
Summary:        Receptor Satellite Worker Plugin

License:        ASL 2.0
URL:            https://github.com/project-receptor/%{pypi_name}
Source0:        https://github.com/project-receptor/%{pypi_name}/archive/v%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
 receptor-satellite Receptor Satellite Worker Plugin

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-aiohttp
Requires:       python3-setuptools
Requires:       receptor
Provides:       receptor-satellite

%description -n python3-%{pypi_name}
 receptor-satellite Receptor Satellite Worker Plugin


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/receptor_satellite
%{python3_sitelib}/receptor_satellite-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Jun 8 2020 Adam Ruzicka <aruzicka@redhat.com> = 1.0.1-2
- Change source to reflect upstream repository change

* Wed Mar 11 2020 Eric D. Helms <ericdhelms@gmail.com> - 1.0.1-1
Update to 1.0.1

* Thu Feb 27 2020 Eric D. Helms <ericdhelms@gmail.com> - 1.0.0-3
- Build latest master

* Wed Feb 19 2020 Eric D. Helms <ericdhelms@gmail.com> - 1.0.0-2
- Update to latest HEAD of git

* Fri Jan 10 2020 Evgeni Golov - 1.0.0-1
- Initial package.
